com.fasterxml.jackson.databind.deser.impl

## Class NullsFailProvider

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.NullsFailProvider

- All Implemented Interfaces:
    NullValueProvider, Serializable

      public class NullsFailProvider
      extends Object
      implements NullValueProvider, Serializable

  Simple `NullValueProvider` that will always throw a `InvalidNullException` when a null is encountered.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PropertyName` | `_name`
    `protected JavaType` | `_type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NullsFailProvider(PropertyName name, JavaType type)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NullsFailProvider` | `constructForProperty(BeanProperty prop)`
    `static NullsFailProvider` | `constructForProperty(BeanProperty prop, JavaType type)`
    `static NullsFailProvider` | `constructForRootValue(JavaType t)`
    `AccessPattern` | `getNullAccessPattern()` Accessor that may be used to determine if and when provider must be called to access null replacement value.
    `Object` | `getNullValue(DeserializationContext ctxt)` Method called to possibly convert incoming `null` token (read via underlying streaming input source) into other value of type accessor supports.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _name

          protected final PropertyName _name

    - #### _type

          protected final JavaType _type

  - ### Constructor Detail

    - #### NullsFailProvider

          protected NullsFailProvider(PropertyName name,
                                      JavaType type)

  - ### Method Detail

    - #### constructForProperty

          public static NullsFailProvider constructForProperty(BeanProperty prop)

    - #### constructForProperty

          public static NullsFailProvider constructForProperty(BeanProperty prop,
                                                               JavaType type)

    - #### constructForRootValue

          public static NullsFailProvider constructForRootValue(JavaType t)

    - #### getNullAccessPattern

          public AccessPattern getNullAccessPattern()

      Description copied from interface: `NullValueProvider`
      Accessor that may be used to determine if and when provider must be called to access null replacement value.
      Specified by:
        `getNullAccessPattern` in interface `NullValueProvider`

    - #### getNullValue

          public Object getNullValue(DeserializationContext ctxt)
                              throws JsonMappingException

      Description copied from interface: `NullValueProvider`
      Method called to possibly convert incoming `null` token (read via underlying streaming input source) into other value of type accessor supports. May return `null`, or value compatible with type binding.

      NOTE: if `NullValueProvider.getNullAccessPattern()` returns `ALWAYS_NULL` or `CONSTANT`, this method WILL NOT use provided `ctxt` and it may thus be passed as `null`.

      Specified by:
        `getNullValue` in interface `NullValueProvider`
      Throws:
        `JsonMappingException`

Copyright © 2008–2020 FasterXML. All rights reserved.